import { Align, AxisOrient, SignalRef } from 'vega';
import { Axis } from '../../axis';
import { PositionScaleChannel } from '../../channel';
import { DatumDef, TypedFieldDef } from '../../channeldef';
import { Mark } from '../../mark';
import { ScaleType } from '../../scale';
import { Type } from '../../type';
import { UnitModel } from '../unit';
import { AxisConfigs } from './config';
/**
 * Default rules for whether to show a grid should be shown for a channel.
 * If `grid` is unspecified, the default value is `true` for ordinal scales that are not binned
 */
export declare function defaultGrid(scaleType: ScaleType, fieldDef: TypedFieldDef<string>): boolean;
export declare function gridScale(model: UnitModel, channel: PositionScaleChannel): string;
export declare function labelAngle(model: UnitModel, specifiedAxis: Axis, channel: PositionScaleChannel, fieldOrDatumDef: TypedFieldDef<string> | DatumDef, axisConfigs?: AxisConfigs): number;
export declare function defaultLabelBaseline(angle: number, axisOrient: AxisOrient): "top" | "middle" | "bottom";
export declare function defaultLabelAlign(angle: number, axisOrient: AxisOrient): Align;
export declare function defaultLabelFlush(type: Type, channel: PositionScaleChannel): boolean;
export declare function defaultLabelOverlap(type: Type, scaleType: ScaleType): true | "greedy";
export declare function orient(channel: PositionScaleChannel): "left" | "bottom";
export declare function defaultTickCount({ fieldOrDatumDef, scaleType, size, values: vals }: {
    fieldOrDatumDef: TypedFieldDef<string> | DatumDef;
    scaleType: ScaleType;
    size?: SignalRef;
    values?: Axis['values'];
}): {
    signal: string;
};
export declare function values(specifiedAxis: Axis, fieldOrDatumDef: TypedFieldDef<string> | DatumDef): SignalRef | (string | number | boolean | import("../../datetime").DateTime | {
    signal: string;
})[];
export declare function defaultZindex(mark: Mark, fieldDef: TypedFieldDef<string> | DatumDef): 1 | 0;
//# sourceMappingURL=properties.d.ts.map